Change in ...docker-playground[master]: jenkins-common.sh: Don't rebuild debian-stretch-build during fix_perms

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

laforge gerrit-no-reply at lists.osmocom.org
Thu Jun 13 13:49:57 UTC 2019


laforge has submitted this change and it was merged. ( https://gerrit.osmocom.org/c/docker-playground/+/14433 )

Change subject: jenkins-common.sh: Don't rebuild debian-stretch-build during fix_perms
......................................................................

jenkins-common.sh: Don't rebuild debian-stretch-build during fix_perms

When fixing the permissions at the end of a test run, it really doesn't
matter if we're running a current debian-stretch-build image, or if we
are using an ancient one.  All we need is a 'chmod' binary.

Change-Id: Ib008ee72f40aeefb307c0ba74a57b70daae9d07b
Related: OS#4060
---
M jenkins-common.sh
1 file changed, 4 insertions(+), 1 deletion(-)

Approvals:
  osmith: Verified
  laforge: Looks good to me, approved



diff --git a/jenkins-common.sh b/jenkins-common.sh
index a703a05..25ae26f 100644
--- a/jenkins-common.sh
+++ b/jenkins-common.sh
@@ -40,7 +40,10 @@
 }
 
 fix_perms() {
-	docker_images_require debian-stretch-build
+	if ! docker_image_exists "debian-stretch-build"; then
+		docker_images_require "debian-stretch-build"
+	fi
+
 	echo Fixing permissions
 	docker run 	--rm \
 			-v $VOL_BASE_DIR:/data \

-- 
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/14433
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: Ib008ee72f40aeefb307c0ba74a57b70daae9d07b
Gerrit-Change-Number: 14433
Gerrit-PatchSet: 3
Gerrit-Owner: laforge <laforge at gnumonks.org>
Gerrit-Assignee: osmith <osmith at sysmocom.de>
Gerrit-Reviewer: daniel <dwillmann at sysmocom.de>
Gerrit-Reviewer: laforge <laforge at gnumonks.org>
Gerrit-Reviewer: osmith <osmith at sysmocom.de>
Gerrit-Reviewer: pespin <pespin at sysmocom.de>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190613/8b6ea965/attachment.htm>


More information about the gerrit-log mailing list